org.apache.uima.fit.component

## Class NoOpAnnotator

- java.lang.Object
- - org.apache.uima.analysis_component.AnalysisComponent_ImplBase
  - - org.apache.uima.analysis_component.Annotator_ImplBase
    - - org.apache.uima.analysis_component.CasAnnotator_ImplBase
      - - org.apache.uima.fit.component.CasAnnotator_ImplBase
        - - org.apache.uima.fit.component.NoOpAnnotator

- All Implemented Interfaces:
    org.apache.uima.analysis_component.AnalysisComponent

      public class NoOpAnnotator
      extends CasAnnotator_ImplBase

  No-operation annotator. This annotator performs no operation whatsoever.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoOpAnnotator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(org.apache.uima.cas.CAS aCAS)`

    - ### Methods inherited from class org.apache.uima.fit.component.CasAnnotator_ImplBase

      `getLogger, initialize`

    - ### Methods inherited from class org.apache.uima.analysis_component.CasAnnotator_ImplBase

      `getRequiredCasInterface, process, typeSystemInit`

    - ### Methods inherited from class org.apache.uima.analysis_component.Annotator_ImplBase

      `getCasInstancesRequired, hasNext, next`

    - ### Methods inherited from class org.apache.uima.analysis_component.AnalysisComponent_ImplBase

      `batchProcessComplete, collectionProcessComplete, destroy, getContext, getResultSpecification, reconfigure, setResultSpecification`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoOpAnnotator

          public NoOpAnnotator()

  - ### Method Detail

    - #### process

          public void process(org.apache.uima.cas.CAS aCAS)
                       throws org.apache.uima.analysis_engine.AnalysisEngineProcessException

      Specified by:
        `process` in class `org.apache.uima.analysis_component.CasAnnotator_ImplBase`
      Throws:
        `org.apache.uima.analysis_engine.AnalysisEngineProcessException`

Copyright © 2012–2020 The Apache Software Foundation. All rights reserved.